# Commit template


BRIDGE-1163 - Add description to rule

# Summary

* An orderDescription field was added to single-rule-create in Swagger.
* Marked payerInstrument and payeeID as required fields in single-rule-create
* Updated /specs/create-rule.e2e.spec.js to test for orderDescription & missing payerInstrument and payeeID

# Test Plan

* Run All tests
* Run E2E: Create a rule

```
E2E: Create a rule PASSED
    Tests the body PASSED
        Tests with missing required parameters PASSED
            
            Missing paymentInstrument contents PASSED
                ✓ Test with no payer instrument ID parameter PASSED
                ✓ Test with no payer instrument key parameter PASSED

            Missing Trigger PASSED
                ✓ Test with no Trigger parameter PASSED
                
            Missing Payment rules PASSED
                ✓ Test with no Payment rules parameter PASSED
            
            Missing Rule parameters PASSED
                ✓ Test with no rule payerInstrument parameter PASSED
                ✓ Test with no rule payeeID parameter PASSED

    Bad data tests PASSED
        ✓ Test with a badly formatted rule payer instrument ID parameter PASSED
        ✓ Test with a badly formatted rule payer key parameter PASSED
        ✓ Test with a badly formatted rule payeeID parameter PASSED
        ✓ Test with a short rule payeeID parameter PASSED
        ✓ Test with a long rule payeeID parameter PASSED
        ✓ Test with a badly formatted rule percentageShare parameter PASSED
        ✓ Test with a out of range rule percentageShare parameter PASSED
        ✓ Test with a badly formatted Trigger Stage parameter PASSED
        ✓ Test with a badly formatted Trigger Type parameter PASSED
        ✓ Test with a long rule description parameter PASSED

    Good parameter data tests PASSED
        ✓ Test with a full set of correct parameters PASSED

    Authorization PASSED
        ✓ Test rejects invalid bearer token PASSED

    Tests the response PASSED
        Response validation for 201 Created responses PASSED
            ✓ Test returns a response with `valid` ID PASSED
            ✓ Test rejects a response with `invalid` ID PASSED
            ✓ Test rejects an empty response PASSED
            
21 Of 21 Passing
```
